// $Id: CXUAppend.h,v 1.3 2003/04/23 09:20:57 ta_muto Exp $
// 'append' implementation class

#ifndef __wax_CXUAppend_h
#define __wax_CXUAppend_h

#include <common.h>
#include <xupdate/IAction.h>

namespace wax {
	class CXUAppend : public IAction {
		xmlChar* select;
		xmlChar* child;
		xmlChar* connect;
		xmlDocPtr instanceData;
	public:
		CXUAppend(const xmlChar* initConnect);
		~CXUAppend();
		
		bool parse(CEnvironment* runenv, xmlNodePtr cur);
		bool execute(CXmlSession* session);
	} ;
}

#endif
